% check_fold_array(fold_subject);
%
% Check that array has all values from 1 to max
%
% Author: Jean Honorio
% E-mail: jhonorio@csail.mit.edu
function check_fold_array(fold_subject);

folds = unique(fold_subject);
if folds(1) ~= 1
    error('The minimum value must be 1');
end
if length(folds) == 1
    error('It should have more than one fold');
end
for i = 2:length(folds)
    if folds(i) ~= i
        error('It should contain all values 1,2,...,MAX');
    end
end
